namespace IRaCIS.Core.Domain.Models;

//public enum AttachmentType
//{
//    Avatar=1,//头像
//    Resume=2,//简历
//    GCP=3,//GCP证书
//    MedicalLicence=4,//医师资格证
//    PracticeCertificate=5,//执业资格证
//    LargeEquipmentWorkingCertificate=6,//大型器械上岗证
//    HighestDegreeCertificate=7//最高学历证书
//}
[Comment("医生 - 简历|证书 文档表")]
[Table("Attachment")]
public class Attachment : BaseAddAuditEntity
{

    [JsonIgnore]
    public Doctor Doctor { get; set; }

    [Comment(" 编码")]
    [StringLength(400)]
    public string Code { get; set; } = null!;

    public Guid DoctorId { get; set; }

    [Comment(" 过期时间")]
    public DateTime? ExpiryDate { get; set; }

    public string FileName { get; set; } = null!;

    [Comment(" 是否正式简历")]
    public bool IsOfficial { get; set; }

    [Comment(" 1 中文 2为英文")]
    public int Language { get; set; }

    [StringLength(512)]
    public string Path { get; set; } = null!;

    [Comment(" 文件类型名")]
    [StringLength(400)]
    public string Type { get; set; } = null!;
}
