using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    /// 系统阅片标准
    ///</summary>
    [Table("ReadingQuestionCriterionSystem")]
    public class ReadingQuestionCriterionSystem : BaseAddAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public List<ReadingQuestionSystem> ReadingQuestionSystemList { get; set; } = new List<ReadingQuestionSystem>();
        #endregion
        /// <summary>
        /// 标准
        /// </summary>
        public string CriterionName { get; set; } = string.Empty;

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool IsEnable { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int ShowOrder { get; set; }

        /// <summary>
        /// 是否完成配置
        /// </summary>
        public bool IsCompleteConfig { get; set; }


        /// <summary>
        /// 确认时间
        /// </summary>
        public DateTime ConfirmTime { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; } = string.Empty;



        /// <summary>
        /// 标准类型
        /// </summary>
        public CriterionType CriterionType { get; set; }


        /// <summary>
        /// 肿瘤学阅片  
        /// </summary>
        public bool IsOncologyReading { get; set; } = false;

        /// <summary>
        ///  eCRF报告是否显示在图像页面
        /// </summary>
        public bool IseCRFShowInDicomReading { get; set; } = false;

        /// <summary>
        /// 是否必须全局阅片
        /// </summary>
        public bool IsMustGlobalReading { get; set; } = false;






    }






}
