using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    /// 阅片全局任务信息
    ///</summary>
    [Table("ReadingGlobalTaskInfo")]
    public class ReadingGlobalTaskInfo : BaseAddAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        [ForeignKey("TaskId")]
        public VisitTask VisitTask { get; set; }

        [JsonIgnore]
        [ForeignKey("GlobalTaskId")]
        public VisitTask GlobalVisitTask { get; set; }


        [JsonIgnore]
        [ForeignKey("QuestionId")]
        public ReadingQuestionTrial TrialReadingQuestion { get; set; }
        #endregion

        /// <summary>
        /// 全局任务Id
        /// </summary>
        public Guid GlobalTaskId { get; set; }

        /// <summary>
        /// 原任务ID
        /// </summary>

        public Guid TaskId { get; set; }

        /// <summary>
        /// 问题ID
        /// </summary>
        public Guid? QuestionId { get; set; }

        /// <summary>
        /// 问题答案
        /// </summary>

        public string Answer { get; set; } = string.Empty;


        public Guid TrialId { get; set; }

        /// <summary>
        /// 全局答案类型
        /// </summary>
        public GlobalAnswerType GlobalAnswerType { get; set; }

        public Guid SubjectId { get; set; }

    }


}
